= simple_form_for [:admin, motif.organisation, motif] do |f|

  = render "model_errors", model: motif

  .card
    .card-body
      h5.card-title Configuration générale
      .form-row
        .col-md-6
          = f.association :service, collection: @available_services
        .col-md-6
          = f.input :name
      .form-row
        .col-md-4= f.input :default_duration_in_min
        .col-md-4= f.input :color, as: "color"

  - if current_organisation.territory.enable_motif_categories_field
    .card
      .card-body
        h5.card-title= Motif.human_attribute_name("category")
        p.text-muted.font-14= Motif.human_attribute_name("category_hint")
        .form-row
          .col-md-12
              = f.input :category, collection: Motif.human_attribute_values(:categories), prompt: "", input_html: { class: "select2-input" }, label: false

  .card
    .card-body
      h5.card-title= Motif.human_attribute_name("location_type")
      - %i[public_office phone home].each do |value|
        = label_tag do
          = f.radio_button(:location_type, value)
          span.ml-1= Motif.human_attribute_value(:location_type, value)
          p.text-muted.font-14= Motif.human_attribute_value(:location_type, value, context: :hint)

  .card
    .card-body
      h5.card-title= Motif.human_attribute_name("follow_up_short")
      = f.input :follow_up

  .card
    .card-body
      h5.card-title= Motif.human_attribute_name("for_secretariat_short")
      p.text-muted.font-14= Motif.human_attribute_name("for_secretariat_hint")
      = f.input :for_secretariat, label: Motif.human_attribute_name("for_secretariat_label")

  .card
    .card-body
      h5.card-title= Motif.human_attribute_name(:collectif)

      = label_tag do
        = f.radio_button(:collectif, false)
        span.ml-1= Motif.human_attribute_value(:collectif, false)
        p.text-muted.font-14= Motif.human_attribute_value(:collectif, false, context: :hint)

      = label_tag do
        = f.radio_button(:collectif, true)
        span.ml-1=  Motif.human_attribute_value(:collectif, true)
        p.text-muted.font-14= Motif.human_attribute_value(:collectif, true, context: :hint)

  - unless current_agent.conseiller_numerique?
    .card
      .card-body
        h5.card-title= Motif.human_attribute_name("reservable_online_title")
        p.text-muted.font-14= Motif.human_attribute_name("reservable_online_hint")
        = f.input :reservable_online
        .form-row
          .col-md-4= f.input :min_booking_delay, collection: min_max_delay_options
          .col-md-4= f.input :max_booking_delay, collection: min_max_delay_options

    .card.js-sectorisation-card
      .card-body
        h5.mb-2= Motif.human_attribute_name("sectorisation_level_title")
        .text-muted.mb-3
          span>= Motif.human_attribute_name("sectorisation_level_hint")
          = link_to "https://doc.rdv-solidarites.fr/sectorisation-geographique" do
            span> Documentation sur la sectorisation
            i.fa.fa-external-link-alt>
        .mb-2= label_tag do
          = f.radio_button(:sectorisation_level, Motif::SECTORISATION_LEVEL_DEPARTEMENT)
          span.ml-1= Motif.human_attribute_value(:sectorisation_level, Motif::SECTORISATION_LEVEL_DEPARTEMENT, context: :hint)
        = label_tag do
          = f.radio_button(:sectorisation_level, Motif::SECTORISATION_LEVEL_ORGANISATION)
          span.ml-1= Motif.human_attribute_value(:sectorisation_level, Motif::SECTORISATION_LEVEL_ORGANISATION, context: :hint)
          .text-muted.font-14.my-1.ml-3
            - sectors_attributed_to_orga = Sector.attributed_to_organisation(current_organisation)
            = t("motifs.form.sectorisation_level.sectors_attributed_to_orga", count: sectors_attributed_to_orga.count, sectors: sectors_attributed_to_orga.map(&:name).to_sentence.truncate(100), organisation: current_organisation.name)
        = label_tag do
          = f.radio_button(:sectorisation_level, Motif::SECTORISATION_LEVEL_AGENT)
          span.ml-1= Motif.human_attribute_value(:sectorisation_level, Motif::SECTORISATION_LEVEL_AGENT, context: :hint)
          - if motif.service.present?
            - attributions_group = SectorAttribution.level_agent_grouped_by_service(current_organisation).fetch(motif.service_id, {agents_count: 0, attributions: []})
            .text-muted.font-14.my-1.ml-3
              = t( \
                "motifs.form.sectorisation_level.sectors_attributed_to_agents", \
                count: attributions_group[:agents_count], \
                service: motif.service.name, \
                sectors_count_human: t("motifs.index.sectorisation_level_organisation", count: attributions_group[:sectors_count]), \
                sectors: attributions_group[:attributions].map { "#{_1.agent.full_name} -> #{_1.sector.name}" }.to_sentence.truncate(100) \
              )
        - if current_agent.territorial_admin_in?(current_organisation.territory)
          = link_to "Configuration des secteurs", admin_territory_sectors_path(current_organisation.territory)

  .card
    .card-body
      h5.card-title= Motif.human_attribute_name("visibility_type")
      - %i[visible_and_notified visible_and_not_notified invisible].each do |value|
        = label_tag do
          = f.radio_button(:visibility_type, value)
          span.ml-1= Motif.human_attribute_value(:visibility_type, value)
          p.text-muted.font-14= Motif.human_attribute_value(:visibility_type, value, context: :hint)

  .card
    .card-body
      h5 Instructions
      p.text-muted.font-14 Ces instructions sont affichées à l'usager avant et après sa prise de RDV. Laissez ces champs vides si vous ne souhaitez pas donner d'instructions.
      = f.input :restriction_for_rdv, input_html: {rows: 6}
      = f.input :instruction_for_rdv, input_html: {rows: 6}

  .card
    .card-body
      h5.card-title= Motif.human_attribute_name("custom_cancel_warning_message")
      p.text-muted.font-14= Motif.human_attribute_name("custom_cancel_warning_message_hint")
      = f.input :custom_cancel_warning_message, input_html: {rows: 6}, label: false

  .row.mb-5
    - if motif.persisted?
      .col.text-left
        = link_to "Supprimer", admin_organisation_motif_path(motif.organisation, motif), method: :delete, class: "btn btn-outline-danger", data: { confirm: "Confirmez-vous la suppression de ce motif ?"}
    .col.text-right
      = f.button :submit
